ResourceCategory (gCube VRE Deploy Wizard Portlet 3.3.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.vredeployer.shared

## Class ResourceCategory

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.ResourceCategory

- All Implemented Interfaces:
    Serializable

      public class ResourceCategory
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceCategory()`
    `ResourceCategory(String id, String name)`
    `ResourceCategory(String id, String name, ArrayList<ResourceCategoryItem> items)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourceItem(ResourceCategoryItem item)`
    `String` | `getId()`
    `ArrayList<ResourceCategoryItem>` | `getItems()`
    `String` | `getName()`
    `void` | `setId(String id)`
    `void` | `setItems(ArrayList<ResourceCategoryItem> items)`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceCategory

          public ResourceCategory()

    - #### ResourceCategory

          public ResourceCategory(String id,
                          String name,
                          ArrayList<ResourceCategoryItem> items)

    - #### ResourceCategory

          public ResourceCategory(String id,
                          String name)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getItems

          public ArrayList<ResourceCategoryItem> getItems()

    - #### setItems

          public void setItems(ArrayList<ResourceCategoryItem> items)

    - #### addResourceItem

          public void addResourceItem(ResourceCategoryItem item)

Copyright © 2014. All Rights Reserved.